UILayoutPanel (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.UILayoutPanel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UILayoutPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UILayoutPanel

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlLayoutPanel

    public abstract class UILayoutPanel

extends javax.faces.component.UIComponentBase

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UILayoutPanel()`

Method Summary
`abstract LayoutPosition` | `getPosition()` Get placement position type name
`abstract java.lang.String` | `getWidth()` Get Panel width.
`abstract void` | `setPosition(LayoutPosition newvalue)` Set placement position type name
`abstract void` | `setWidth(java.lang.String newvalue)` Set Panel width.

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UILayoutPanel

    public UILayoutPanel()

Method Detail

### getPosition

    public abstract LayoutPosition getPosition()

  Get placement position type name

  Returns:

### setPosition

    public abstract void setPosition(LayoutPosition newvalue)

  Set placement position type name

  Parameters:
    `newvalue` -

### getWidth

    public abstract java.lang.String getWidth()

  Get Panel width.

  Returns:

### setWidth

    public abstract void setWidth(java.lang.String newvalue)

  Set Panel width.

  Parameters:
    `newvalue` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.